RagTime5ChartInternal::DoubleParser Struct Referencefinal

Internal: the helper to read a double's cell double. More...

Inheritance diagram for RagTime5ChartInternal::DoubleParser:

## Public Member Functions

| DoubleParser ()
| constructor
| ~DoubleParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Additional Inherited Members

Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a double's cell double.

## Constructor & Destructor Documentation

## DoubleParser()

RagTime5ChartInternal::DoubleParser::DoubleParser | ( |  | ) |

inline

constructor

## ~DoubleParser()

RagTime5ChartInternal::DoubleParser::~DoubleParser | ( |  | ) |

final

destructor

## Member Function Documentation

## parseData()

bool RagTime5ChartInternal::DoubleParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx